package com.gh.common.provider

import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.gh.common.util.DirectUtils
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IDirectProvider

@Route(path = RouteConsts.provider.directUtils, name = "DirectUtils暴露服务")
class DirectProviderImpl : IDirectProvider {

    override fun directToWebView(context: Context, url: String, entrance: String?) {
        DirectUtils.directToWebView(context, url, entrance)
    }

    override fun directToRegulationTestPage(context: Context) {
        DirectUtils.directToRegulationTestPage(context)
    }

    override fun directToQqConversation(context: Context, qq: String) {
        DirectUtils.directToQqConversation(context, qq)
    }

    override fun directToCommodityDetail(context: Context, commodityId: String) {
        DirectUtils.directToCommodityDetail(context, commodityId)
    }

    override fun directToEnergyRecord(context: Context) {
        DirectUtils.directToEnergyRecord(context)
    }

    override fun directToEnergyRulePage(context: Context) {
        DirectUtils.directToEnergyRulePage(context)
    }

    override fun directToInviteFriends(context: Context) {
        DirectUtils.directToInviteFriends(context)
    }

    override fun directToExchangeRulePage(context: Context) {
        DirectUtils.directToExchangeRulePage(context)
    }

    override fun directToExchangeCommodityPage(context: Context) {
        DirectUtils.directToExchangeCommodityPage(context)
    }

    override fun directToLotteryParadisePage(context: Context) {
        DirectUtils.directToLotteryParadisePage(context)
    }

    override fun directDouyin(context: Context, userId: String) {
        DirectUtils.directDouyin(context, userId)
    }

    override fun directToSuggestionFromDiagnosis(context: Context, diagnosis: String) {
        DirectUtils.directToSuggestion(context, diagnosis = diagnosis)
    }

    override fun directToQa(context: Context, text: String?, id: String) {
        DirectUtils.directToQa(context, text, id)
    }

    override fun directToHelpAndFeedback(context: Context, position: Int) {
        DirectUtils.directToHelpAndFeedback(context, position)
    }

    override fun directToQqGroup(context: Context, groupNumber: String?): Boolean {
        return DirectUtils.directToQqGroup(context, groupNumber)
    }

    override fun init(context: Context?) {
        // Do nothing
    }
}